Subject: linux-next: manual merge of the fastboot tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 15 Aug 2008 17:44:15 +1000

Hi Ingo,

Today's linux-next merge of the fastboot tree got a trivial conflict in include/linux/init.h between commit 95fc5687f58152d62904e7dea36dca3a52514160 ("Dave Hansen <[email-masked]>") from the driver-core tree and commit a06e1c2b448b317bc141934879cbbbed8319b4d4 ("modules: extend initcall_debug functionality to the module loader") from the fastboot tree.

Just overlapping additions.  I fixed it up and will carry the fix.

[I have been asked to try adding the merge result diff, so just as a test
I have included it below.]

-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/

diff --cc include/linux/init.h
index de1d690,b6201c0..0000000
--- a/include/linux/init.h
+++ b/include/linux/init.h
@@@ -143,7 -143,8 +143,9 @@@ extern int do_one_initcall(initcall_t f
  extern char __initdata boot_command_line[];
  extern char *saved_command_line;
  extern unsigned int reset_devices;
 +extern int initmem_now_dynamic;
+ extern int do_one_initcall(initcall_t fn);
+ 
  
  /* used by init/main.c */
  void setup_arch(char **);